Skip to main content
POST
/
tags
Create a new tag
curl --request POST \
  --url https://api.retrac.co/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tag": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

Body

application/json
name
string

The name of the tag to create.

Required string length: 1 - 50
color
enum<string>

The color of the tag. If not provided, a random color will be used from the list: red, yellow, green, blue, purple, brown, gray.

Available options:
red,
yellow,
green,
blue,
purple,
brown,
gray,
pink
tag
string
deprecated

The name of the tag to create.

Minimum string length: 1

Response

The created tag

id
string
required

The unique ID of the tag.

name
string
required

The name of the tag.

color
enum<string>
required

The color of the tag.

Available options:
red,
yellow,
green,
blue,
purple,
brown,
gray,
pink